Subject: bug#18246: enriched-encode: should set inhibit-point-motion-hooks, too

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Aug 2014 15:25:10 -0400

> Since Emacs knows about every piece of text it displays, there should
> be no problem to have M-w or whatever copy into the
> selection/clipboard text that comes from overlays or display
> properties.  There are no obstacles here, just coding.

I don't think there's a strong need for it (tho it would occasionally
be handy).  But I agree with Ivan's point that there's no need to make
things intangible at all, usually: if the user wants to move outside of
the intended fields of a form, there's no reason to prevent him from
doing that.
The Widget library has done that forever and I've heard no complaint
about this aspect of the library.

        Stefan